Create a new status list signer
Uses an existing IACA to sign a status list signer (intermediate certificate) that can be used to sign status list tokens.
- Only available in implementations using unmanaged (external) IACAs.
- A maximum of three Status List Signers can be created per tenant.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>application/json- body
iacaId*stringInternal identifier of the IACA used to sign this status list signer:
- Must be the same IACA used to sign credentials that are included in a status list signed by this status list signer.
- Must be an unmanaged (external) IACA.
uuidStatus list signer created
application/json- response
id*stringUnique identifier for this status list.
uuidiacaId*stringIdentifies the IACA used to sign this status list signer.
uuidactive*booleanIndicates whether or not this signer can currently be used to sign status lists. Status list signers can only be set to active after a valid certificate is provided.
csrPem*stringThe X.509 Certificate Signing Request (CSR) in PEM format, base64 encoded. Use this CSR to generate a valid certificate, then update the status list signer with the resulting certificate.
curl -X POST "https://example.com/v2/credentials/mobile/status-list-signers" \ -H "Content-Type: application/json" \ -d '{ "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": false, "csrPem": "-----BEGIN CERTIFICATE REQUEST-----...-----END CERTIFICATE REQUEST-----"}How would you rate this page?
Delete a Document Signer DELETE
Deletes an existing Document Signer by providing its ID. Only available in implementations using unmanaged (external) IACAs.
Revoke a status list signer POST
Revokes an existing status list signer, making it unusable for signing new status lists. If the verifier checks the CRL referenced in the IACA certificate, it must treat revoked status list signers and any status list they signed as untrusted. <Callout> Only available in implementations using managed IACAs. When using unmanaged (external) IACAs, you must revoke the status list signer certificate directly with the CA that issued it. </Callout>